rte_tailq_head(3)

NAME
rte_tailq_head

SYNOPSIS

#include <rte_tailq.h>

  Data Fields

struct rte_tailq_entry_head tailq_head

Detailed Description

The structure defining a tailq header entry for storing in the rte_config structure in shared memory. Each tailq is identified by name. Any library storing a set of objects e.g. rings, mempools, hash-tables, is recommended to use an entry here, so as to make it easy for a multi-process app to find already-created elements in shared memory.

Definition at line 38 of file rte_tailq.h.

Field Documentation

  struct rte_tailq_entry_head tailq_head
NOTE: must be first element

Definition at line 39 of file rte_tailq.h.

Author

Generated automatically by Doxygen for DPDK from the source code.